Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(681)

Unified Diff: tools/create_skia_google3_client.sh

Issue 1291603003: Add files from google3 to Git repo. (Closed) Base URL: https://skia.googlesource.com/skia@master
Patch Set: Remove BUILD, add BUILD.public, and update sync script to replace BUILD.google with BUILD. Created 5 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« BUILD.public ('K') | « LICENSE ('k') | tools/get_skia_lkgr.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/create_skia_google3_client.sh
diff --git a/tools/create_skia_google3_client.sh b/tools/create_skia_google3_client.sh
new file mode 100755
index 0000000000000000000000000000000000000000..8fbf4e25160e6c2d3bfd204f26e4242548fd7a8c
--- /dev/null
+++ b/tools/create_skia_google3_client.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# Copyright 2014 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Create a google3 CitC client in which code can be submitted to either google3
+# or Git.
+#
+# Usage:
+# ./tools/create_skia_google3_client.sh <client_name>
+
+source gbash.sh || exit
+
+set -x -e
+
+CLIENT="$1"
+g4 citc "${CLIENT}"
+cd "/google/src/cloud/${USER}/${CLIENT}/google3/third_party/skia/HEAD"
+
+REV="$(cat README.google | grep -e "^Version" | sed "s/^Version: \(.*\)/\1/")"
+
+MY_DIR="$(gbash::get_absolute_caller_dir)"
+${MY_DIR}/git_clone_to_google3.sh --skia_rev "${REV}"
« BUILD.public ('K') | « LICENSE ('k') | tools/get_skia_lkgr.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698